#!/usr/bin/ruby

require 'getoptlong'
substvars='debian/substvars'
opts = GetoptLong.new(['--package', '-p', GetoptLong::REQUIRED_ARGUMENT])
opts.each {|opt, arg|
  case opt
  when '--package' then substvars = 'debian/' + arg + '.substvars'
  end
}

require 'rbconfig'
CONFIG = Config::MAKEFILE_CONFIG
File.open(substvars, "a+") {|f|
 f.puts "ruby:Depends=ruby (>= #{CONFIG['MAJOR']}.#{CONFIG['MINOR']}), ruby (<< #{CONFIG['MAJOR']}.#{CONFIG['MINOR'].to_i+1})"
}
